##
##  glark.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         glark
Summary:      Grep-Like File Searcher
URL:          http://www.incava.org/projects/glark/
Vendor:       Jeff Pace
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Searching
License:      GPL
Version:      1.9.0
Release:      20101219

#   list of sources
Source0:      http://www.incava.org/files/glark-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101, ruby

%description
     glark offers grep-like searching of text files, with very
     powerful, complex regular expressions (e.g., "/foo\w+/ and
     /bar[^\d]*baz$/ within 4 lines of each other"). It also highlights
     the matches, displays context (preceding and succeeding lines),
     does case-insensitive matches, and automatic exclusion of non-text
     files. It supports most options from the GNU version of grep.

%track
    prog glark = {
        version   = %{version}
        url       = http://www.incava.org/projects/glark/download.html
        regex     = glark-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    %{l_shtool} subst \
        -e 's;#!/bin/sh;#!%{l_prefix}/bin/ruby;' \
        -e 's;exec ruby;#exec ruby;' \
        -e 's;/share;/libexec;' \
        bin/glark

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/glark \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -m 755 \
        bin/glark $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 755 \
        lib/* $RPM_BUILD_ROOT%{l_prefix}/lib/glark/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

